Skip to content

Update title/icon/content — 409 on version conflict

PATCH
/api/v1/workspaces/{ws}/documents/{doc}
doc
required
string
Media typeapplication/json
object
title
string
<= 200 characters
icon
string
nullable <= 48 characters
content
expected_version
integer
<= 9007199254740991
folder_id
string format: uuid
nullable /^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Examplegenerated
{
"title": "example",
"icon": "example",
"content": "example",
"expected_version": 1,
"folder_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}